
























                          "Hype" for HyperText Applications
                                     User Manual
                                   GoldPax Software
                                     Version 1.62




                          "Hype" for HyperText Version 1.62


                                  Table of Contents

        INTRODUCTION  . . . . . . . . . . . . . . . . . . . . . . . .   Page 4
             What is Hype?  . . . . . . . . . . . . . . . . . . . . .   Page 4
             What is HyperText? . . . . . . . . . . . . . . . . . . .   Page 4
             Where did HYPE come from?  . . . . . . . . . . . . . . .   Page 5
             License Agreement  . . . . . . . . . . . . . . . . . . .   Page 6
             Disclaimer . . . . . . . . . . . . . . . . . . . . . . .   Page 7

        SYSTEM REQUIREMENTS . . . . . . . . . . . . . . . . . . . . .   Page 7

        GETTING STARTED . . . . . . . . . . . . . . . . . . . . . . .   Page 8
             Installation . . . . . . . . . . . . . . . . . . . . . .   Page 8
             For Turbo Pascal 5.5 Programmers . . . . . . . . . . . .   Page 9

        CREATING HYPERTEXT DOCUMENTS  . . . . . . . . . . . . . . .    Page 10
             General Form for a HyperText document  . . . . . . . .    Page 11
                  Defining a window . . . . . . . . . . . . . . . .    Page 12
                  BUTTONS: Defining button  . . . . . . . . . . . .    Page 13
                       Text Buttons . . . . . . . . . . . . . . . .    Page 13
                       DOS Program Buttons  . . . . . . . . . . . .    Page 13
                       Menu Buttons . . . . . . . . . . . . . . . .    Page 13
                       Index Button . . . . . . . . . . . . . . . .    Page 14
                       Help Button  . . . . . . . . . . . . . . . .    Page 14
                       Print Button . . . . . . . . . . . . . . . .    Page 14
                       Exit Button  . . . . . . . . . . . . . . . .    Page 14
                       HypeMenu Button  . . . . . . . . . . . . . .    Page 15
                       Search (and Search Again) Buttons  . . . . .    Page 15
                       Main Window Button . . . . . . . . . . . . .    Page 15

        Include files . . . . . . . . . . . . . . . . . . . . . . .    Page 15

        USING A HYPERTEXT DOCUMENT  . . . . . . . . . . . . . . . .    Page 16
             Executing HYPE . . . . . . . . . . . . . . . . . . . .    Page 16
             Moving around in a HyperText Document  . . . . . . . .    Page 16
             Using the Marker (Marking Text)  . . . . . . . . . . .    Page 16
             Function Keys  . . . . . . . . . . . . . . . . . . . .    Page 17
             Special keys . . . . . . . . . . . . . . . . . . . . .    Page 17
             The HELP System [F1] . . . . . . . . . . . . . . . . .    Page 18
                  The Alt-F1 Key (in the Help System) . . . . . . .    Page 18
             Topic Selection Menu [F2]  . . . . . . . . . . . . . .    Page 18
             Exit from Current Window [F3]  . . . . . . . . . . . .    Page 18
             Status Window [F4] . . . . . . . . . . . . . . . . . .    Page 18
             Searching Buttons [F5] . . . . . . . . . . . . . . . .    Page 18
             Quick Exit to Main Window [F6] . . . . . . . . . . . .    Page 19
             Searching the Current Text Window [F7] . . . . . . . .    Page 19
             Pattern Searches [F8]  . . . . . . . . . . . . . . . .    Page 19
             Word Search [F9] . . . . . . . . . . . . . . . . . . .    Page 20
             Exit HyperText [F10] . . . . . . . . . . . . . . . . .    Page 21
             Word Similarity Index [SHIFT-F1] . . . . . . . . . . .    Page 21
             Close all windows but current [SHIFT-F3] . . . . . . .    Page 22
             Write Current Text Window to Disk [SHIFT-F4] . . . . .    Page 22
             Write Current Text Window to the Printer [SHIFT-F5]  .    Page 22
             Select another HyperText Document [SHIFT-F10]  . . . .    Page 22


                                                                        Page 2




                          "Hype" for HyperText Version 1.62


        Noteworthy Limitations and Comments . . . . . . . . . . . .    Page 22

        Mouse Support . . . . . . . . . . . . . . . . . . . . . . .    Page 22

        For Turbo Pascal Programmers  . . . . . . . . . . . . . . .    Page 23

        Sound Effects and Buttons . . . . . . . . . . . . . . . . .    Page 23

        The Hype Menu System  . . . . . . . . . . . . . . . . . . .    Page 24

        Comments about graphic images within HYPE . . . . . . . . .    Page 25

        What others are doing with HYPE . . . . . . . . . . . . . .    Page 26

        What's new in this Release  . . . . . . . . . . . . . . . .    Page 27
             Version 1.4  . . . . . . . . . . . . . . . . . . . . .    Page 27
             Version 1.5  . . . . . . . . . . . . . . . . . . . . .    Page 27
             Versions 1.6, 1.61, 1.62 added the following:  . . . .    Page 27

        Why you should register/Upcoming release notes  . . . . . .    Page 28

        INDEX . . . . . . . . . . . . . . . . . . . . . . . . . . .    Page 29


































                                                                        Page 3




                          "Hype" for HyperText Version 1.62


        INTRODUCTION


        What is Hype?
        Hype is a program that allows you to create HyperText files  on the PC
        without a lot  of fuss and  bother. The hypertext  document files  are
        simple  ASCII text files. Hype  operates in text  mode and requires an
        IBM compatible with a color monitor (CGA, EGA, or VGA).
        ----------------------------------------------------------------------


        What is HyperText?
        HyperText is  not easy to describe. This is further complicated by the
        fact that  it  is an  overused  term which  is used  to  mean so  many
        different things.  "HYPE" is one author's  implementation and approach
        to the concept.  You could examine several different packages claiming
        to  be  HyperText  implementations,  and  be  very  surprised  at  how
        differently  they appear and/or  function. However, what  follows is a
        short introduction into the topic.

        Normal written  material, such  as books,  magazines, etc.  are linear
        documents.  That is, they are intended to  be read from left to right,
        from beginning  to end.  The only alternatives  you have  to this  are
        provided by the Table of Contents, and/or the Index.

        HyperText  or HyperMedia  documents,  on the  other  hand, provide  an
        exciting  alternative to this  form. HyperText is  an environment that
        can create the  illusion of  nonlinear documents. HYPE  allows you  to
        transform a linear document  into a nonlinear tool. (The  computer you
        are viewing this  on is still monolithic in nature, therefore, all you
        have is  the illusion.) HyperText can  create an illusion of  depth in
        the collapse of space and time within the computer.

        The  nonlinear  effect  of   HyperText  documentation  is  created  by
        "linkages". That is, any concept  can be linked to any  other concept.
        These linkages are accomplished  through what are referred to  in HYPE
        as buttons. (Other packages may use  a different word to describe this
        concept of a link.) A button is  simply a word in the document that is
        special. It is special because it can be used as a link, or bridge, to
        another section of the  documentation. Other packages use the  same or
        different words for similar ways of depicting the idea of a link.
        HYPE  allows the user to  define chunks of knowledge to  be shown in a
        text window. In these  windows (which may consist of  multiple screens
        of text) the user may define "buttons" which can either be:

             [1]  another text window, or
             [2]  an external  DOS program (including com, exe, or bat files),
                  or
             [3]  a menu, sound effect, etc.

        When a  text window pops  up, it will pertain  to a concept  linked or
        related to the associated button word. It may explain some underlying,
        or associated, material about the button or word activated.



                                                                        Page 4




                          "Hype" for HyperText Version 1.62


        For example, information  that may pertain to a  certain class of user
        can be  hidden behind the  button where it  can be easily  accessed. A
        class  of user might  be a novice.  The button could  activate a basic
        description that only a novice might need to look at. An example might
        be a button entitled "DOS". Activating this button would then pop-up a
        window  explaining what an operating system is and does. Another class
        of user might be an expert who might need to go into further detail on
        a topic  or button.  The button provides  the depth, where  the casual
        reader doesn't want to be distracted by the additional material.

        A button that executes an external DOS program may:

         [1] execute a program that shows a graphics image,
         [2] execute an expert system, a spreadsheet, a word processor, a data
             base, etc.
         [3] execute a batch file
         [4] execute a program that produces animation,
         [5] execute a program that accesses a CD ROM, etc.

        The only real  limitation is  your imagination (and  maybe disk  space
        and/or memory).
        ----------------------------------------------------------------------


        Where did HYPE come from?
        HYPE  is a Shareware  product. This means  that you can  try it on for
        size at  no charge. If the  product doesn't suit your  needs, then you
        can  forget it. However,  if you  do find it  useful, we ask  that you
        register  the  product  according to  the  registration  instructions.
        Registration of the product provides the following benefits:

         [1] You  will  be  provided with  the  latest  version  of HYPE.  The
             unregistered  version  you've  downloaded/received  is   a  full-
             featured  product, however,  it is  simply not  the  latest. Each
             version continues to add features I'm sure you'll want.

         [2] You will receive  free updates  and support for  the first  year.
             Support will be either via the post office  box or via CompuServe
             E-mail 76010,2403. After the first year, registered users will be
             notified of updates.

         [3] Your support will guarantee that enhancements continue to be made
             to the product.













                                                                        Page 5




                          "Hype" for HyperText Version 1.62


        Support the Shareware effort
        You  are urged  to support  the Shareware  effort. We  have a  list of
        improvements and enhancements forthcoming, if support warrants.

        The  Shareware concept,  with  its low  cost  distribution of  quality
        programs,  has been described as  a true American  Treasure. It allows
        individuals with  good ideas  to afford implementing  and distributing
        them. Well integrated  programs are very often the product of a single
        mind. The authors of  Shareware software are talented people  making a
        real monetary bet that their efforts will be accepted and supported.

        If HYPE  does not fit  your needs,  please stop and  think about  what
        other  Shareware packages  you  do use.  Support  those that  you  use
        regularly.

        Your comments and suggestions are welcomed, with or without payment.
        ----------------------------------------------------------------------


        Distribution
        You  may  freely  copy  this  program for  others  so  long  as  it is
        distributed  exactly in its initial form, with all files included. See
        the accompanying  list of files.  Nonprofit user  groups and  bulletin
        boards   may  also   include   it  in   their  libraries.   For-profit
        organizations  may  distribute  it,  provided  there  is  a  PROMINENT
        statement urging users to support the user supported concept.

        As a point of interest, HYPE was written and compiled  in Turbo Pascal
        Version 5.5. Turbo Pascal is a product of Borland International. Turbo
        Professional from TurboPower Software was also used.
        ----------------------------------------------------------------------


        License Agreement
        HYPE  is marketed  through the  Shareware marketing  concept. HYPE  is
        copyrighted software distributed as Shareware. It is NOT in the public
        domain.  By  distributing and  using this  package,  you agree  to the
        conditions presented herein.

        Therefore GoldPax grants  you the right  to reproduce, distribute  and
        use   copies   of   this   Shareware  version   of   HYPE   (including
        documentation), on the express  condition that you do not  receive any
        payment, commercial benefit, other consideration for such reproduction
        or  distribution, or  change  this license  agreement,  or change  the
        copyright notice.

        HYPE,  its documentation and all related files are copyright (c) 1988,
        1989, and 1990 by GoldPax Software.

        You have the right to evaluate  this Shareware version for a period of
        30  days to determine  whether it suits  your needs. If  you decide to
        continue using  this  software,  GoldPax expects  that  you  become  a
        registered user. Individuals  may become a registered  user by sending
        $35  (run  time license)  to the  address  below. Corporate  users may
        become registered  users for a  single site license fee  of $500. This

                                                                        Page 6




                          "Hype" for HyperText Version 1.62


        allows  the company  to make  an  unlimited number  of copies  for all
        parent and  subsidiary companies. Turbo Pascal  Programmers may freely
        include the features  of HYPE  in their programs.  Any recognition  of
        HYPE in documentation would  be greatly appreciated. Monies  should be
        sent to the address below:

                                   GoldPax Software
                                    P.O. Box 1576
                               Royal Oak, MI 48068-1576

        As soon as GoldPax  receives your registration, GoldPax will  send you
        the  latest copy of HYPE.  Furthermore, you can  get technical support
        via CompuServe for 1 year from the day of receipt.
        ----------------------------------------------------------------------


        Disclaimer
        HYPE is provided "as is", without warranty of any kind, either express
        or  implied, including but not  limited to, the  implied warranties of
        merchantability and  fitness for a particular purpose, with respect to
        this software and the accompanying documentation.

        In no event shall GoldPax be liable for any damages (including but not
        limited  to   damages  for   lost  profits,  lost   savings,  business
        interruption, loss  of business information, or  other pecuniary loss)
        arising out of the use of, or inability to use, this software, even if
        GoldPax has been advised of the possibility of such damages.
        ----------------------------------------------------------------------


        SYSTEM REQUIREMENTS

        The minimum requirements for running HYPE are as follows:

             IBM PC Compatible and IBM PS/2 Compatible

             Display Adapter
                  Any color adapter may be used: CGA, EGA, or VGA.

             256K RAM Minimum (640K recommended)

             DOS 2.1 or later

             1 Floppy Disk Drive
                  Hard disk recommended for speed of text retrieval.











                                                                        Page 7




                          "Hype" for HyperText Version 1.62


        GETTING STARTED


        Installation
        If you've received a proper copy of HYPE, then you have  2 files named
        HYPAnn.EXE and  HYPBnn, where the nn relates  to the version number of
        the program.

        These files  are self-extracting files. If  the term "self-extracting"
        means nothing to  you, don't worry. Suffice  it to say that  executing
        the program will cause the creation of several files  necessary to run
        the  program. If  you are  installing  the program  to a  floppy disk,
        ensure that the disk is an empty one to avoid running out of space.

        The files  will be created in  the default drive, regardless  of where
        HYP?nn.EXE is being executed from.

        To  install HYPE on  a hard disk,  create a directory  named \HYPE. We
        suggest  you  use a  newly created  directory  to avoid  possible (but
        unlikely) naming conflicts between the files currently on your default
        drive and the ones that the installation program is trying to create.
        (The directory  name \HYPE is  not a required  name, only  a suggested
        one.)

        To extract the files, execute the programs as follows:

         C>HYPAnn
         C>HYPBnn

        At a minimum, the following files will be created by the installation:
             README.TXT     This file  contains last minute additions  to the 
                            package. This file may or may not be present.
             HYPE.MAN       This file.
             HYPE.EXE       This is the executable file for HYPE.
             nmHYPE.EXE     This is the non-mouse executable file for HYPE.
             TOPICS.DOC     This is  an  ASCII text  file that  contains the  
                            names of  all of the HyperText  documents you want
                            to show up in the initial prompter window.
             SHOWSNAP.EXE   This program is  executed by a button  within the 
                            HyperText document. This  program will  read in  a
                            graphics  picture file  and display  it on  a CGA,
                            EGA, or  VGA monitor. Note the  comments on PC.SNP
                            below.
             PC.SNP         This  file is  used by  SHOWSNAP.EXE to  display a
                            graphics image to the screen. This file   requires
                            EGA or better quality graphics to display.
             CALENDAR.EXE   Example  file.  This program  pops  up  a calendar
                            program   on   the   screen   with   today's  date
                            highlighted. It  is popped up within  Hype to show
                            how  external  DOS  programs  can  be  fired  from
                            HyperText buttons.
             INVOICE.TXT    This file  contains a pre-formatted invoice  to be
                            used for product registration.
             *.HYP          Sample HyperText Documents.


                                                                        Page 8




                          "Hype" for HyperText Version 1.62


        For Turbo Pascal 5.5 Programmers
        If you are not a Turbo Pascal 5.5 programmer,  then you can delete all
        of the files with  a .TPU extension once installation is complete. (If
        you ever  wanted to get them back  at a later time,  they can still be
        created from the original HYPEnn.EXE file.) SEE THE NOTE AT THE BOTTOM
        OF THIS PAGE.

             MpHyper.Tpu    MpString.Tpu   MpSoundz.Tpu
             MpHypVar.Tpu   MpMisc.Tpu     MpSounds.Tpu

        The above Units contain  routines for incorporating HyperText features
        in your own applications. There are two (2) additional TPU files  with
        a prefix of "nm" have  been compiled with the mouse  support disabled.
        (They will need to be renamed without the "nm" prefix in order to use.
        You would only use them if you did not want the mouse support.)

             Hyper.pas      This is an  example source program to  show how to
                            invoke "HYPE"  from  within  a  Turbo  Pascal  5.5
                            program.

        Hype was written using  TurboPower Software's Turbo Professional Tools
        (Version 5.09).  You will need to own this  package if you want to use
        the TPU files  included. (If Turbo Professional is  not already a part
        of your  tool kit, it really should be. You certainly won't regret it.
        This  is  an   independent  endorsement;  I  am  not  affiliated  with
        TurboPower Software.)

        For your information only, the TurboPower Professional Units used are:

             TPCMD.TPU      TPCRT.TPU      TPDOS.TPU      TPEDIT.TPU
             TPHELP.TPU     TPINLINE.TPU   TPINT.TPU      TPMEMCHK.TPU
             TPMOUSE.TPU    TPPICK.TPU     TPSORT.TPU     TPSTRING.TPU
             TPWINDOW.TPU   TPCMD.TPU      TPMENU.TPU








        ----------------------------------------------------------------------

                                     -*- NOTE -*-

        DUE TO  SPACE LIMITATIONS IN HANDING OUT THE EVALUATION COPY OF "HYPE"
        FOR HYPERTEXT,  WE ARE NO LONGER  ABLE TO INCLUDE THE  .TPU FILES WITH
        THE PACKAGE. REGISTERED USERS,  HOWEVER, WILL RECEIVE ALL OF  THE .TPU
        FILES DESCRIBED ABOVE THAT GO WITH "HYPE" FOR HYPERTEXT.

        ----------------------------------------------------------------------





                                                                        Page 9




                          "Hype" for HyperText Version 1.62


        CREATING HYPERTEXT DOCUMENTS


        Trying to visualize all of the applications that one might find useful
        for a HyperText  application is difficult at best. Think  of HYPE as a
        tool, like  a Pascal or C  compiler that lets you  write programs. How
        well the document works is based on how well you design the document.

        Think of  HyperText as a way  of presenting the user  with "chunks" of
        knowledge. Studies have show  that simply taking a manual  and putting
        it on-line actually results in a  productivity loss. It is not easy to
        read a  lot of material  from a  screen. Therefore, what  you want  to
        present  your  user/reader with  is a  screen that  contains pertinent
        points  of chunks of knowledge. Linked windows,  or the next page, can
        contain more  information. Choices  of color, window  size, amount  of
        text  in the  window, are  all very  crucial to  how well  received or
        usable the end result is.

        Some of the  things that  might be applicable  include the  following,
        which is by no means, an exhaustive list:

                          General Help Material on any topic
                            Diagnostic and Repair Material
                           Preventive Maintenance Material
                                Installation Material
                                    Company Policy
                                  Standards Manuals
                                         Etc.

        We've  tried  to  make  the  creation  and  maintenance  of  HyperText
        documents for HYPE as easy as possible.

        To that end, HYPE uses plain ASCII text files.

        To  instruct HYPE  on  how  to  represent  these  files  as  HyperText
        documentation, there  are embedded  commands that HYPE  will recognize
        and process.

        To  use  Hype, therefore,  you  must have  a  text  editor capable  of
        creating true ASCII text files.

            NOTE: Some word processors do not create true ASCII text files. If
                  you are unsure about  your editor, use the DOS  TYPE command
                  to type the contents of any of your word processing files to
                  the screen. If you CANNOT read the text, or it appears to be
                  garbled, or  there are strange characters showing  up in the
                  output,  then, in  all likelihood,  your text editor  is not
                  creating a pure ASCII text file.

        Hype needs 3  files in the  same directory to properly  execute. These
        files are:

          1. HYPE.EXE
          2. TOPICS.DOC
          3. The HyperText file

                                                                       Page 10




                          "Hype" for HyperText Version 1.62


        The reason  for the first and  last files should be  obvious. The file
        TOPICS.DOC  is required  if you'd  like to  use  menus to  select from
        multiple HyperText  files. TOPICS.DOC is  created using an  ASCII text
        editor.

        The following is the contents of the current TOPICS.DOC file  when you
        first install the package:

          A. HyperText Documentation/HypeText.HYP
          B. Uses of HyperText Documentation/Uses.HYP

        The text up to  the "/" character is the  text you wish to show  up on
        the menu. The characters after the "/" are the file  name. Although we
        are using .HYP  as an extension here, HYPE does  not require this. You
        may use any valid DOS file name.

        With the above stored in TOPICS.DOC, when HYPE first executes  it will
        show a pop-up menu that contains the following:

         +----------------------------------------------------+
         | A. HyperText Documentation                         |
         | B. Uses of HyperText Documentation                 |
         +----------------------------------------------------+

        The program currently  has a  limitation of 36  topics allowed in  the
        TOPICS.DOC file.  The user views one  of the above files  by using the
        up/down arrow keys and ENTER to select the  appropriate file. The "A."
        and "B." prefixes on each line  allow the user to press either  an "A"
        or "B" to select  the topic. These are not required. If  you left them
        off, then  the user could use  "H" or "U" to  select the corresponding
        file.
        ----------------------------------------------------------------------


        General Form for a HyperText document
        The following shows a skeletal outline of a HyperText file for HYPE:

         .TOPIC:MAIN
         .COMMENT: This is a comment line which is ignored by HYPE.
          This is text. The following is a button: ~TOPIC1~.
          This is also a button: ~TOPIC2~.
         .END:MAIN

         .TOPIC:TOPIC1
         .WINDOW:1,3,11,3,15,3,2,2,64,21
          Window or topic text appears here. Buttons may be defined here also.
         .END:TOPIC2

         .TOPIC:TOPIC1
         .WINDOW: Blue,LightCyan,White,Cyan,LightCyan,Cyan,2,1,63,21
         .INCLUDE:FileName.Ext
         .END:TOPIC2




                                                                       Page 11




                          "Hype" for HyperText Version 1.62


        Defining a window
        HyperText  Documents   are  organized  into  topics.   Each  topic  is
        synonymous  with a  window.  Each  topic  requires  a  begin  and  end
        definition via .TOPIC and .END commands as shown above.

        The  top window is named  for you and  must be called  "MAIN" as shown
        above. Its size is  pre-defined. All of the subsequent  windows may be
        defined by you with respect to  size, location, and color(s). This  is
        done via the .WINDOW command, as shown above.

        The syntax for the .WINDOW command is as follows:

        .WINDOW:fg,bg,framefg,framebg,headfg,headbg,startX,startY,sizeX,sizeY

             fg        Foreground color for the text in the window.
             bg        Background color for the text in the window.
             framefg   Foreground color for the window frame.
             framebg   Background color for the window frame.
             headfg    Foreground color for the frame header.
             headbg    Background color for the frame header.
             startX    Upper left column starting position for window.
             startY    Upper left row starting position for window.
             sizeX     Number of horizontal characters in the window.
             sizeY     Number of lines of text in the window.

         Valid colors are:

             0 Black        1 Blue
             2 Green        3 Cyan
             4 Red          5 Magenta
             6 Brown        7 LightGray
             8 DarkGray     9 LightBlue
             10 LightGreen  11 LightCyan
             12 LightRed    13 LightMagenta
             14 Yellow      15 White

        Beginning with Version 1.62, you can  specify either the number of the
        color, or the name of the color. That is, "LightCyan" is equivalent to
        specifying 13. The  color can be  any combination of  upper and  lower
        case letters.

        Be aware of the fact  that certain combinations can cause the  text to
        flash. This  can be used to  your advantage for windows  where you may
        want the border/frame to flash.

        Experimentation  is  your  best  course  of  action.  I've  used  many
        different  video displays over the  years and am  always fascinated by
        the differences in which different vendors display the same colors.








                                                                       Page 12




                          "Hype" for HyperText Version 1.62


        BUTTONS: Defining buttons


        Text Buttons
        There are two (2) steps to defining a button:
             First, is to identify the button in the text.
             Second, is to create the topic the button refers to.

        A button is easily defined by using the tilde, or ~  character. Create
        a topic using the .TOPIC and .END commands that matches the button. In
        the earlier skeletal example, ~TOPIC1~ was defined as a  button in the
        text, and it is easy  to see the .TOPIC:TOPIC1 entry that  follows. In
        the above example, the text TOPIC1 will show in the window as reversed
        video text.

        When a button is activated, i.e., when ENTER is pressed and the cursor
        is located  on the  button, a  new text  window will  pop up  over the
        current window. The new window will contain a header that contains the
        name of the topic, which in this case, was TOPIC1.

        Often times,  you'd like the text  that appears on the  screen to read
        slightly different than  the title you'd  like to see  show up on  the
        window  that will  pop  up. To  accomplish  this requires  a  slightly
        different  syntax to  be used when  defining the button  between the 2
        ~'s. This syntax is:

                  ~Button:TOPIC1 Text:this is the text you want~

        The  characters after "Text:" is  the text that  will be reverse video
        displayed in the  window. The text after  "Button:" is the  topic that
        will be searched  for and displayed. The text after  "Button:" is also
        the text which will be the heading of the new window. See HypeText.HYP
        file for examples of this.
        ----------------------------------------------------------------------


        DOS Program Buttons
        The syntax for a button that will execute a DOS program is as follows:

                  ~Program:progname Text:this is the text you want~

        where progname is the name of the program plus all of the command line
        parameters  it needs to execute.  The characters after  "Text:" is the
        text that will be reverse video displayed in the window.
        ----------------------------------------------------------------------


        Menu Buttons
        A Menu Button is one which allows the users to  specify a selection of
        buttons that  will pop up and  allow the user to select  a button. The
        syntax for this options is as follows:

                  ~Menu:Button1|Button2|Button3| Text:this is the text~

        HYPE  will build a user selection menu  from the above that appears as

                                                                       Page 13




                          "Hype" for HyperText Version 1.62


        follows:

          +-----------------------------------------------+
          | Button1                                       |
          | Button2                                       |
          | Button3                                       |
          +-----------------------------------------------+

        Notice each button name is  separated by a "|". Also note that a final
        "|" is required.  The button names  must be  legitimate topics in  the
        text file, otherwise, an error message will be issued.

        ----------------------------------------------------------------------


        Index Button
        An  index button  produces  the same  effect  as if  the  F2 key  were
        pressed. That  is, it pops up a  selection menu of all  buttons in the
        text file. The syntax is as follows. Upper or lower case may be used.

                  ~@INDEX Text:this is the text you want~

        ----------------------------------------------------------------------


        Help Button
        A Help Button produces  the same effect as if the F1 key were pressed.
        That is, it pops up the System Help for Hype. The syntax is:

                  ~@Help Text:this is the text you want~

        ----------------------------------------------------------------------


        Print Button
        The Print  Button produces the same effect as if the Shift-F5 key were
        pressed. That is, it pops up the System Help for Hype. The syntax is:

                  ~@Print Text:this is the text you want~

        ----------------------------------------------------------------------


        Exit Button
        The  Exit Button produces the  same effect as  if the F3  (or Esc) key
        were pressed. The syntax is:

                  ~@Exit Text:this is the text you want~








                                                                       Page 14




                          "Hype" for HyperText Version 1.62


        HypeMenu Button
        The HypeMenu Button produces the same effect as if the Alt-F1 key were
        pressed. The syntax is:

                  ~@HypeMenu Text:this is the text you want~

        ----------------------------------------------------------------------


        Search (and Search Again) Buttons
        The Search and  Search Again buttons produce the effect  as if the "F"
        and "A" keys were pressed. The syntax is:

                  ~@Search Text:this is the text you want~
                  ~@SearchAgain Text:this is the text you want~

        ----------------------------------------------------------------------


        Main Window Button
        The Main Window  Button produces the same  effect as pressing F6.  The
        syntax is:

                  ~@MainWindow Text:this is the text you want~

        ----------------------------------------------------------------------


        Include files
        The contents of an external file can brought into a HyperText document
        via the .INCLUDE: command.

        Include  files cannot be nested. That  is, you cannot place an include
        within an include.

        Multiple includes can be  used within a single topic. For example, you
        can do the following:

         .TOPIC:TOPIC1
         .WINDOW ............
         .INCLUDE:file1.inc
         .INCLUDE:file2.inc
         You can even put text here ....
         .INCLUDE:file3.inc
         .END:TOPIC1

        Include files  may contain buttons that reference the parent document.
        Include files  may not cross topics.  That is, they are  for one topic
        only.







                                                                       Page 15




                          "Hype" for HyperText Version 1.62


        USING A HYPERTEXT DOCUMENT


        Included with the original distribution of HYPE are example files. You
        can  use these to get a  feel for some of the  features of a HyperText
        document.


        Executing HYPE

        To  start the program with the  selection menu, enter the program name
        at the DOS prompt:

         C>HYPE

        Use the up/down arrow keys and the ENTER key to select the appropriate
        HyperText document.  The menu also  recognizes the first  letter being
        pressed as an alternate means of getting into the document.

        To start the program and go right into a HyperText document, enter the
        file name on the command line, as shown in the following:

         C>HYPE HypeText.hyp


        Moving around in a HyperText Document

        To move from button to button, use the cursor movement keys:

                       <-- or -->

        If a  concept has multiple pages  worth of text, you  can page forward
        and backward through the text using these keys:

                       PgUp or PgDn
                       "U" or "D" also serve the same functions.

        To move the display up or down one line at a time, use the up and down
        arrow keys. To go to the top of  the text at any time, press the  Home
        or the "T" (for Top) key. 

        The lower right hand corner of each window will have up/down arrows to
        indicate  whether there  is  additional  text preceding/following  the
        current window. If there is more text to view, either the PgUp/PgDn or
        Up/Down arrows keys will move you around in the text.
        ----------------------------------------------------------------------


        Using the Marker (Marking Text)
        Pressing "M"  will mark your present location  in the text window. You
        may travel to  any other part of the text by using PgUp, PgDn, etc. To
        return to the "marked" location, press the letter "R" to return.




                                                                       Page 16




                          "Hype" for HyperText Version 1.62


        Function Keys
        Special  function keys are defined  while in a  HyperText document. F1
        will always pop-up  a help  system which covers  most of the  material
        you'll find in the manual.

        The  following function  keys are defined  for your  use while  in the
        HyperText Document.

         Alt           Description of Function
         ---           -----------------------
         Alt-F1        Invokes the Hype Menu System.
         F1            Invokes the Help System.
         F2            Pop up selection menu of all Topic Button.
         F3  Esc,X     Exits current window.
         F4            Pop up a Status Window.
         F5            Text Search the full list of Topic Buttons.
         F6            Quick Exit to Root/Main Window of Document.
         F7  F         Search current text window for entered characters.
         F8            Search current text window for entered Pattern.
         F9            Word Search current text window.
         F10           Exit to DOS.

         Alt           Description of Function
         ---           -----------------------
         Shift-F1      Change Word Match Similarity Index.
         Shift-F2      Unassigned.
         Shift-F3      Keep current window and close rest.
         Shift-F4      Send current text window to disk file.
         Shift-F5      Send current text window to printer.
         Shift-F6      Unassigned.
         Shift-F7 A    Repeat last Text Search.
         Shift-F8      Repeat last Pattern Search.
         Shift-F9      Repeat last Word Search.
         Shift-F10     Select another HyperText document.

         Special keys
         ------------
         --> or <--         To move from button to button.
         PgUp or PgDn       Page up and down the text.
         U or D             Page up and down the text.
         Up/Down Arrows     Move display up/down one line.
         M                  Marks text location.
         R                  Returns to marked location.













                                                                       Page 17




                          "Hype" for HyperText Version 1.62


        The HELP System [F1]
        The  Help System  provides an instant  pop-up help that  is similar in
        some  respects (but  different) to  the HyperText  environment. It  is
        important you are aware of this difference when using the Help System.

        The Help  System is optimized  for fast  access and pop-up.  It is  an
        integrated  part  of HYPE  itself.  That is,  it  is not  part  of the
        HyperText Documentation.  The HyperText  Document you are  viewing, on
        the other  hand, is external to  the program and is  therefore slower,
        but also has more and different features.

        When viewing a document and pressing the F1 key, an index of topics is
        popped up. Using the cursor  movement keys, you can move  through this
        index  and select any topic by positioning  the highlight bar over the
        topic and  pressing the ENTER  key. While  in Help, pressing  F1 again
        will pop up  an index to all Help  topics, no matter where you  are in
        the Help System.
        ----------------------------------------------------------------------


        The Alt-F1 Key (in the Help System)
        When this key is pressed, in the Help System, it will pop up the prior
        Help Window you were  viewing (if there was one).  Successive Alt-F1's
        will  move you  backwards through  all of  the previously  viewed Help
        Windows.
        ----------------------------------------------------------------------


        Topic Selection Menu [F2]
        This  option will pop  up a selection  list of all  buttons. Using the
        cursor movement keys and ENTER, you may select one of these buttons to
        go directly to that topic.
        ----------------------------------------------------------------------


        Exit from Current Window [F3]
        This option exits from the current window. Pressing the Esc key or "x"
        or "X" will accomplish the same thing.
        ----------------------------------------------------------------------


        Status Window [F4]
        This window pops  up and displays  several important statistics  about
        the operation and current status of the program.
        ----------------------------------------------------------------------


        Searching Buttons [F5]
        This  option will  allow you  to enter  a search  string that  will be
        processed against a list of all buttons. Any button which  matches the
        entered  search string  will  be listed  in  a pop-up  selection  menu
        allowing the user to go directly to that window text. Using the cursor
        movement keys  and ENTER, you  may select one  of these buttons  to go
        directly to that topic.


                                                                       Page 18




                          "Hype" for HyperText Version 1.62


        Quick Exit to Main Window [F6]
        This option will close all open windows except for the main window.
        ----------------------------------------------------------------------


        Searching the Current Text Window [F7]
        The last search will be repeated again if  the user presses the 'a' or
        'A' key, or Shift-F7.

        This  option will  allow you  to enter  a search  string that  will be
        processed against the text  contained in the current text  window. All
        searches are forward  searches. That  is, the search  begins one  line
        after the line  showing on the top of  the screen and proceeds  to the
        end of the window text. Therefore, successive "searches" will continue
        to move to the  end of the window text  until the search string  is no
        longer found in the text.

        This  search is case insensitive. That is, it will find all characters
        that match the string regardless of the case of the text. For example,
        "dog" will match "dog", "DOG", or "Dog".

        This search  can be used to  find sub-strings within words  or to find
        the occurrence  of phrases (multiple-words).  Put simply,  it is  only
        searching for the occurrence of the characters.
        ----------------------------------------------------------------------


        Pattern Searches [F8]
        The last pattern search will be executed again if the user presses the
        Shift-F8 key.

        The pattern search  function allows  you to  search the  words in  the
        current  text window for a  regular expression, or  pattern, using the
        following wildcard characters:

             ?         matches any single character in the word
             *         matches a string of  0 or more characters in  the input
                       string
        {xxx|yyy|zzz}  this expression matches the input  string if any of its
                       alternate  choices  separated   by  the  vertical   bar
                       matches. These alternate choices can be string literals
                       or other patterns.
         literals      a string of  characters that must be matched exactly in
                       the input string.

        The following patterns show examples of what would be matched:










                                                                       Page 19




                          "Hype" for HyperText Version 1.62


             Pattern                  Matches
         -----------------------      ----------------
             {ONE|TWO|THREE}          ONE
                                      TWO
                                      THREE

             Sm?th                    Smith
                                      Smyth

             car*s                    carries
                                      cartons
                                      carriers

             test                     test

        ----------------------------------------------------------------------


        Word Search [F9]
        The last word  search will be executed again, if  the user presses the
        Shift-F9 key.

        Word  searches will be  a little slower  than the Text  Search feature
        (activated  by F7). However, the capability to search by word provides
        the user with added capabilities.

        The  Word Match Similarity  Index is used  by the  word search feature
        (F9) in this program.

        The word  match similarity index can be changed by the user and ranges
        from 0  to 100. It is  used (by the  user) to control how  close words
        being  scanned  have to  match  the  search word  before  the  word is
        considered a match.

        When the  index is set to 0.0, the  two words must match exactly. When
        set to  very  low numbers  (like  1.5, or  3.0)  it will  match  close
        approximations of the  word. This can be handy when  you are uncertain
        as to how a word is spelled.  When set to higher numbers (like 75.0 or
        100.0)  it will  begin to match  words that  probably won't  make much
        sense to  you. The algorithm  used is based  on weighting rarely  used
        letters very high in the comparison.

        To see  how this works,  here is an example:  Assume we have  the word
        "explanation" in  our document several  times. If we use  F9 to search
        for "explaination" (notice the difference  in spellings) and the  Word
        Match Similarity Index is set to 0.0, no matches will be found.

        If however, we set the  Word Match Similarity Index to 35.0,  then the
        word search will find the different spelling. (It  may also find other
        words, such as "explain", "explains", "experimentation", etc.)

        When  the Word  Match Similarity Index  is set  to 20.0,  then it will
        probably only find "explanation".

        As you can see,  much is dependent  on what is in  the text, what  the

                                                                       Page 20




                          "Hype" for HyperText Version 1.62


        index  is set to, and how you've  spelled (or misspelled) the words in
        question.

        On the far end of the spectrum,  if the Word Match Similarity Index is
        set to 100, it may match so many words so as to be of little use. (For
        example,  when set  to 100.0,  "explaination"  will match  return such
        oddities  as "autoindent"  and "command-line".)  Therefore, it  is the
        user's responsibility to  set the  Word Match Similarity  Index to  an
        appropriate value, based on what the user wishes to accomplish.

        To  change the  Word  Match Similarity  Index,  use the  Shift-F1  key
        combination  and enter  a number  between  1 and  100. (You  may enter
        numbers such as 1.5 and 1.93433 as well).

        It  is best  to  start  with  small  numbers  (i.e.,  1-10).  However,
        depending  on what you  are looking for,  you have  the flexibility of
        controlling what matches what. It is  there for you to use however you
        see fit.

             NOTE:     The Word Match Similarity Index is initially set to 1.5
                       when the program starts.

        ----------------------------------------------------------------------


        Exit HyperText [F10]
        The F10  key completely exits  HYPE and  returns the user  to the  DOS
        prompt.
        ----------------------------------------------------------------------


        Word Similarity Index [SHIFT-F1]
        The Word  Match Similarity Index  is used by  the word  search feature
        (F9) in this program.

        The word  match similarity index can be changed by the user and ranges
        from 0  to 100. It  is used (by the  user) to control  how close words
        being scanned  have  to match  the  search  word before  the  word  is
        considered a match.

        When the index is set to  0.0, the two words must match  exactly. When
        set to  very  low numbers  (like  1.5, or  3.0)  it will  match  close
        approximations of the word.  This can be handy when you  are uncertain
        as to how  a word is spelled. When set to higher numbers (like 75.0 or
        100.0) it  will begin  to match words  that probably  won't make  much
        sense  to you.  The algorithm used  is based on  weighting rarely used
        letters very high in the comparison.

             NOTE:     The word  search algorithm being used  was developed by
                       Michael Bickel and can  be read about in an  article by
                       Jim   Howell  entitled  "An   Alternative  to  Soundex"
                       (Dr. Dobbs Journal, November 1987).




                                                                       Page 21




                          "Hype" for HyperText Version 1.62


        Close all windows but current [SHIFT-F3]
        This option  will close  all other  open windows except  for the  main
        window  and the  current window.  Because each  window that  is opened
        takes up memory, you may need to use this function in order to proceed
        further into a  document. This  regains all of  the memory  previously
        used except what is required to support the main and current windows.
        ----------------------------------------------------------------------


        Write Current Text Window to Disk [SHIFT-F4]
        This option will write the current text window out to a disk file. You
        will be prompted to enter a file name.
        ----------------------------------------------------------------------


        Write Current Text Window to the Printer [SHIFT-F5]
        This option  will write the current  text window out to  a printer, if
        one is attached to your system.
        ----------------------------------------------------------------------


        Select another HyperText Document [SHIFT-F10]
        This  option  will take  you back  to  the opening  HyperText document
        selection menu.
        ----------------------------------------------------------------------


        Noteworthy Limitations and Comments
        [1]  TOPICS.DOC allows a maximum of 36 topic files.

        [2]  Each HyperText  file can have  up to  a maximum of  512 ".TOPIC:"
             entries. That is, there is a maximum of 512 unique topics/buttons
             allowed per HyperText document. Each button/topic can be referred
             to as many times as desired in the text.
        ----------------------------------------------------------------------


        Mouse Support
        HYPE supports (with Version 1.5) the Microsoft or IBM mouse (or likely
        anything that is compatible).

        NOTE:     If Hype doesn't  work with  the mouse you  have attached  to
                  your  system, then use NMHYPE.EXE.  This version of HYPE has
                  been created and compiled without mouse support.

        If you have a mouse attached the left mouse button acts like the ENTER
        key when  the mouse is over  the button where the  cursor is currently
        located.

        If the mouse and cursor are not within the same button, the left mouse
        button acts like the right arrow --> key.

        The right mouse button acts like the Esc key.

        Pressing both buttons  at the same  time is the  same as pressing  the

                                                                       Page 22




                          "Hype" for HyperText Version 1.62


        Alt-F1 Hype Menu. (See page .)

        If the mouse  is over the up  and down arrows in the  lower right hand
        side  of a  text  window, pressing  the left  mouse  button will  page
        forward or backward.

        The mouse is fully functional within the Help windows.
        ----------------------------------------------------------------------


        For Turbo Pascal Programmers
        ----------------------------
        The  files  MpHypVar.Tpu  and  MpHyper.Tpu were  compiled  with  mouse
        support  enabled.  The  files  nmMpHypVar.Tpu  and nmMpHyper.Tpu  were
        compiled  with mouse  support disabled.  To use  these latter  two (2)
        files,  they will need to  be renamed to  MpHypVar.Tpu and MpHyper.TPU
        respectively.
        ----------------------------------------------------------------------


        Sound Effects and Buttons
        The following sound effects are available:

             UpSound        play up the scale
             DownSound      play down the scale
             ArcadeSound    play an arcade sound
             TapsSound      play "Taps"
             Alarm          play an alarm
             Pip            produces a "PIP" sound
             Phone *        tries to sound like a phone
             Alert *        makes "Red Alert!" sound
             Computer *     makes pretend computer noises
             Siren *        makes a siren noise
             Beep           makes that awful beep the PC is famous for

             *    These  sounds will  continue  to make  noise until  you
                  press  a key  on the keyboard.  The others  will simply
                  make noise and stop.

        There are two (2) forms of using a sound within a button:

        [1]  When you want  the sound to  go off prior  to bringing up  a text
             window. To do this use the following form:

                  ~Sound:UpSound Text:tttttttt Button:bbbbbbbb~
                       where     tttttttt is the text you want displayed
                                 bbbbbbbb is the name of the button to fire

        [2]  When you only want the sound when the button is fired. To do this
             use the following form:

                  ~Sound:UpSound Text:tttttttt~
                       where     tttttttt is the text you want displayed



                                                                       Page 23




                          "Hype" for HyperText Version 1.62


        The Hype Menu System
        To help you move around in a Hype HyperText document, a pull down menu
        system has been added.  The Hype Menu System can be invoked  in one of
        two (2) ways:

             [1]  Alt-F1
             [2]  Pressing both  Mouse  Buttons. NOTE:  In  earlier  versions,
                  pressing both  mouse buttons  at the  same time  invoked the
                  Help Subsystem. ("Help" is the first option on the Hype Menu
                  System.)

        The mouse is fully functional  in the Hype Menu System. The  Hype Menu
        System has been organized to  present all of the function  key options
        to the  user in a format  that is, hopefully, a  little more intuitive
        than just the function  keys. The function keys retain  their original
        functions as before.

        The Hype Menu System will pop up a menu that will follow the following
        graphical structure. The associated function keys are printed next  to
        each menu.

        +---------------------------------------+
        | Help Subsystem [F1]                   |  +--------------------+
        | Button Commands ------------------------>| Full Button Search | [F2]
        | Exit current text window [F3]         |  | Search Button List | [F5]
        | Search commands ------------------+   |  +--------------------+ 
        | Window commands ----------------+ |   |
        | Open another Hype Document      | |   | [SH-F10]
        | Change Similarity Index         | |   | [SH-F1]
        | sTatus                          | |   | [F4]
        | Quit [F10]                      | |   |
        +---------------------------------|-|---+
                                          | |
         +--------------------------------+ |
         |                                  V
         |                               +-----------------------+
         V                               | String Search         | [F7]
        +---------------------+          | Word Search           | [F9]
        | Main Window         | [F6]     | Pattern Search        | [F8]
        | Keep Current Window | [SH-F3]  | Repeat String Search  | [SH-F7] 
        | Export Window --+   |          | Repeat Word Search    | [SH-F9] 
        +-----------------|---+          | Repeat Pattern Search | [SH-F8]   
                          |              +-----------------------+
                          |
                          V
          +----------------+
          | Disk Export    | [SH-F4]
          | Printer Export | [SH-F5]
          +----------------+







                                                                       Page 24




                          "Hype" for HyperText Version 1.62


        Comments about graphic images within HYPE
        ShowSnap.Exe, included  in the demo, was  written as a  demo driver to
        show  what can be done  within HYPE. The graphic file  it shows in the
        demo  (PC.SNP) was  simply a  screen dump  taken from  an EGA  graphic
        image. In short,  these were quick and dirty programs  I wrote just to
        spark your  hyper-imagination. Since  I've received so  many questions
        about them, I've  decided to toss  them in with Hype,  but ask you  to
        realize that  they weren't  intended to be  commercial-grade software.
        There were  really two (2) main reasons I hadn't intended to make them
        a  part of the package. And  so, I pass them  along with the following
        caveats:

        [1]  I had to make two  (2) separate programs, one to  capture EGA/VGA
             graphic images and  the other to capture CGA. This  is not what I
             would  call  "user friendly".  These  are  called CAMERA.EXE  and
             CGACAM.EXE  respectively. (From what I've  been able to work out,
             this is due to the way the compiler's graphics support works.)

        [2]  The EGA/VGA Version  does not detect the proper palette in use at
             the time of the screen capture. Therefore, when you redisplay the
             graphic image, you might be surprised/dismayed at the colors. 

        To use  CAMERA.EXE (for EGA/VGA  graphics) and/or CGACAM.EXE  (for CGA
        graphics),  simply execute them. They are both TSR (Terminate and Stay
        Resident) programs. Ctrl-RightShift-C  activates CGACAM.EXE and  Ctrl-
        RightShift-E activates CAMERA.EXE. They will capture a graphics screen
        image and write it  to a file. CAMERA.EXE  will write to a file  named
        IMAGE.nnn, where nnn starts  at "001" and increments by  1. CGACAM.EXE
        writes to a file  with the structure CGAIMAGE.nnn. To  redisplay these
        image files, use ShowSnap.exe as follows:

                  ShowSnap CGAIMAGE.001 CGA CGAHI
                  ShowSnap IMAGE.001 EGA EGAHI
                  ShowSnap IMAGE.002 VGA VGAHI

        DrawCGA.EXE  was included as an example program  that you could run to
        display  a  CGA graphics  image and  use  CGACAM.EXE to  capture. Both
        Camera.exe  and CgaCam.exe will make  noises to inform  you whether it
        could honor your request. Note that the PC must be in graphics mode to
        capture a graphics screen.

        The last two (2) parameters to  ShowSnap.exe are optional. If they are
        not  specified, ShowSnap.exe will default  to your monitor type. There
        is nothing  special about ShowSnap  per se.  Any DOS  program that  is
        capable of reading a graphics  image file can be (and should  be) used
        in its  place. There are many fine public domain, ShareWare, and other
        commercial  packages  available that  would  be  appropriate for  your
        applications. To create your own graphics images, you might purchase a
        commercial graphics drawing  program, of  which there  are many,  many
        good  choices. Several  of  these packages  provides DOS  command line
        programs  that can show their own graphic files as "slides". Using one
        of these programs will make your HYPE applications shine.

        NOTE: Upcoming Version 1.7 will include support for .PCX file formats.


                                                                       Page 25




                          "Hype" for HyperText Version 1.62


        What others are doing with HYPE
        Your  ideas and  suggestions  for enhancements  (or  bug removal)  are
        welcome. Also,  I'm interested in  knowing about the  applications you
        are  designing. (I  never  cease to  be amazed  at  the creativity  of
        others.) In return, I can share with you a few of the applications and
        things done with HYPE I know about to date:

         o   HYPE is being used on a 64+ user Novell LAN. It is being used for
             fast   on-line  access   to   documentation  used   for   problem
             determination.

         o   HYPE  is being used to  provide on-line documentation  in a large
             mainframe Help Desk area.

         o   Several  of the  initial  registrations  have mentioned  training
             applications.

         o   A Chamber of Commerce application.

         o   One of  the more interesting things  I've heard, at least  from a
             technical  perspective,  was  from  a  user  running  HYPE  under
             DeskView  386. This  user had  a button  that actually  invoked a
             DeskView-aware  DOS program  that began  running as  a background
             task.

         o   It is being incorporated with a shop-floor expert system used for
             diagnostic purposes.

         o   A science fiction story written in HyperText...

         o   Advertising on a demo disk.

         o   What would you do?























                                                                       Page 26




                          "Hype" for HyperText Version 1.62


        What's new in this Release

        Version 1.4 added the following:
        [1]  Index Button Type (see Page 14)
        [2]  Menu Button Type (see Page 13)
        [3]  Also, the manual  was changed to clarify Corporate  licenses. (We
             had received a question on this from one of our users.)
        ----------------------------------------------------------------------

        Version 1.5 added the following:
        [1]  Mouse Support (see Page 22)
        [2]  Ability to send a HyperText window to the printer (see Page 22)
        [3]  Ability to  send a  HyperText  window to  a  DOS disk  file  (see
             Page 22)
        [4]  Shift-F10  will allow the user to select a new HyperText document
             (see Page 22)
        ----------------------------------------------------------------------

        Versions 1.6, 1.61, 1.62 added the following:
        [1]  Sound effects can be added to buttons (see Page 23).
        [2]  A Hype  Menu System was added  that can be invoked  via Alt-F1 or
             pressing both of the Mouse keys (see Page 24). This menu provides
             an alternative access to all of the Function Key functions.
        [3]  A bug  was fixed that could cause an abend if an include file was
             entered and exited from too many times.
        [4]  I've tossed  CGACAM.EXE and CAMERA.EXE  in with HYPE.  These will
             create  graphic image  files  for SHOWSNAP.EXE.  Please note  the
             listed caveats on Page 25.
        [5]  The following  button types  were defined: @Help,  @Exit, @Print,
             @HypeMenu. (See Page 14, Page 14, and Page 14).
        [6]  Window colors can be specified by name as well as by number. (See
             Page 12).
























                                                                       Page 27




                          "Hype" for HyperText Version 1.62


        Why you should register/Upcoming release notes

        The best reason for  registering is that you'll  receive a later  copy
        than the  one you  are  presently looking  at. While  this  is a  full
        featured version of "HYPE" for  HyperText at the time it was  written,
        it isn't the latest copy.  The product just keeps on growing.  Some of
        the enhancements in the works include the following.
        ----------------------------------------------------------------------


        Upcoming features in the next version(s):

         [1] Support for  displaying .PCX files for  displaying graphic images
             done  in  drawing packages  such  as  Microsoft Paint,  Microsoft
             Windows Paint, and ZSoft Paintbrush products.

         [2] Ability to import dBASE III/IV data into a HyperText document.

         [3] Ability to play music within a HyperText document.





































                                                                       Page 28




                          "Hype" for HyperText Version 1.62


        INDEX



        .PCX Format                                                    Page 25
        ASCII text files                                               Page 10
        Buttons            Page 4, Page 11, Page 13, Page 14, Page 18, Page 23
        Color                                                          Page 12
        creating documents                                             Page 10
        Disclaimer                                                      Page 7
        Distribution                                                    Page 6
        graphics                                       Page 5, Page 8, Page 25
        HyperText                            Page 4, Page 10, Page 11, Page 16
        Include Files                                         Page 11, Page 15
        Installation                                                    Page 8
        License Agreement                                               Page 6
        limitations                                                    Page 22
             TOPICS.DOC                                                Page 22
             topics/buttons                                            Page 22
        Mouse                        Page 8, Page 9, Page 22, Page 24, Page 27
        requirements                                                    Page 7
        Shareware                                                       Page 6
        TOPICS.DOC                                                     Page 11
        Turbo Pascal                                                    Page 9
        TurboPower Software                                             Page 9
        windows                                                        Page 12






























                                                                       Page 29

         ----------------end-of-author's-documentation---------------

                        Software Library Information:

                   This disk copy provided as a service of

                        The Public (Software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  The P(s)L cannot de-
         bug programs over the telephone.

         Disks in the P(s)L are updated monthly, so if you did not get
         this disk  directly from the P(s)L,  you should be aware that
         the files in this set may no  longer be the current versions.

         For a copy of the latest monthly software library newsletter
         and a list of the 2,000+ disks in the library, call or write

                        The Public (Software) Library
                              P.O.Box 35705
                           Houston, TX 77235-5705
                               (713) 524-6394

